Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynSequence Class Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynSequence:

[legend]
Collaboration diagram for DynamicAny::DynSequence:

[legend]
List of all members.

## Public Types

typedef DynSequence_ptr | _ptr_type
typedef DynSequence_var | _var_type

## Public Methods

virtual CORBA::ULong | get_length (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_length (CORBA::ULong len ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::AnySeq * | get_elements (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_elements (const DynamicAny::AnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual::DynamicAny::DynAnySeq * | get_elements_as_dyn_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | set_elements_as_dyn_any (const DynamicAny::DynAnySeq &value ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)

## Static Public Methods

DynSequence_ptr | _duplicate (DynSequence_ptr obj)
DynSequence_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynSequence_ptr | _nil (void)

## Protected Methods

| DynSequence (void)
virtual | ~DynSequence (void)

## Private Methods

| DynSequence (const DynSequence &)
void | operator= (const DynSequence &)

## Member Typedef Documentation

typedef DynSequence_ptr DynamicAny::DynSequence::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynSequence_var DynamicAny::DynSequence::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynSequence::DynSequence | ( | void |  | ) | `[protected]`

DynamicAny::DynSequence::~DynSequence | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynSequence::DynSequence | ( | const DynSequence & |  | ) | `[private]`

## Member Function Documentation

DynamicAny::DynSequence_ptr DynamicAny::DynSequence::_duplicate | ( | DynSequence_ptr | obj | ) | `[static]`

const char * DynamicAny::DynSequence::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean DynamicAny::DynSequence::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynSequence_ptr DynamicAny::DynSequence::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny. Reimplemented in TAO_DynSequence_i.

DynSequence_ptr DynamicAny::DynSequence::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual ::DynamicAny::AnySeq* DynamicAny::DynSequence::get_elements | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynSequence_i.

virtual ::DynamicAny::DynAnySeq* DynamicAny::DynSequence::get_elements_as_dyn_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynSequence_i.

virtual CORBA::ULong DynamicAny::DynSequence::get_length | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_DynSequence_i.

CORBA::Boolean DynamicAny::DynSequence::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

void DynamicAny::DynSequence::operator= | ( | const DynSequence & |  | ) | `[private]`

virtual void DynamicAny::DynSequence::set_elements | ( | const DynamicAny::AnySeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynSequence_i.

virtual void DynamicAny::DynSequence::set_elements_as_dyn_any | ( | const DynamicAny::DynAnySeq &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynSequence_i.

virtual void DynamicAny::DynSequence::set_length | ( | CORBA::ULong len | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

| Implemented in TAO_DynSequence_i.

The documentation for this class was generated from the following files:

- DynamicAnyC.h
- DynamicAnyC.cpp